Skip to main content
`Ctrl`+`K`

# BVCopy

Copies a basis vector object into another one, \(W \leftarrow V\).

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVCopy(BV V,BV W)

Logically Collective

## Input Parameter

- V - basis vectors context

## Output Parameter

- W - the copy

## Note

Both `V` and `W` must be distributed in the same manner; local copies are done. Only active columns (excluding the leading ones) are copied. In the destination `W`, columns are overwritten starting from the leading ones. Constraints are not copied.

## See Also

BV: Basis Vectors, `BVCopyVec()`, `BVCopyColumn()`, `BVDuplicate()`, `BVSetActiveColumns()`

## Level

beginner

## Location

src/sys/classes/bv/interface/bvbasic.c

## Implementations

BVCopy_Contiguous() in src/sys/classes/bv/impls/contiguous/contig.c
BVCopy_Mat() in src/sys/classes/bv/impls/mat/bvmat.c
BVCopy_Svec() in src/sys/classes/bv/impls/svec/svec.c
BVCopy_Vecs() in src/sys/classes/bv/impls/vecs/vecs.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages